{
  "name": "ecs-web-admin",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "start": "vue-cli-service serve --port 3000",
    "serve": "vue-cli-service serve",
    "build": "vue-cli-service build",
    "build:prod": "vue-cli-service build",
    "postbuild:prod": "IS_PROD=true node postbuild",
    "lint": "vue-cli-service lint",
    "test:unit": "vue-cli-service test:unit"
  },
  "dependencies": {
    "axios": "^0.19.0",
    "axios-progress-bar": "^1.2.0",
    "bootstrap": "^4.3.1",
    "echarts": "^4.2.1",
    "element-ui": "^2.12.0",
    "lodash": "^4.17.15",
    "moment": "^2.24.0",
    "print-js": "^1.0.61",
    "randomcolor": "^0.5.4",
    "rasterizehtml": "^1.3.0",
    "register-service-worker": "^1.6.2",
    "spark-md5": "^3.0.1",
    "viewerjs": "^1.3.6",
    "vue": "^2.6.10",
    "vue-awesome": "^3.5.4",
    "vue-echarts": "^4.0.3",
    "vue-router": "^3.1.3",
    "vuex": "^3.1.1"
  },
  "devDependencies": {
    "@vue/cli-plugin-babel": "^3.11.0",
    "@vue/cli-plugin-eslint": "^3.11.0",
    "@vue/cli-plugin-pwa": "^3.11.0",
    "@vue/cli-plugin-unit-jest": "^3.11.0",
    "@vue/cli-service": "^3.11.0",
    "@vue/eslint-config-prettier": "^4.0.1",
    "@vue/test-utils": "^1.0.0-beta.20",
    "babel-core": "7.0.0-bridge.0",
    "babel-eslint": "^10.0.3",
    "babel-jest": "^24.9.0",
    "eslint": "^5.16.0",
    "eslint-plugin-vue": "^5.2.3",
    "lint-staged": "^9.2.5",
    "node-sass": "^4.14.1",
    "sass-loader": "^8.0.0",
    "vue-cli-plugin-axios": "0.0.4",
    "vue-cli-plugin-element": "^1.0.0",
    "vue-template-compiler": "^2.6.10"
  },
  "gitHooks": {
    "pre-commit": "lint-staged"
  },
  "lint-staged": {
    "*.{js,vue}": [
      "vue-cli-service lint",
      "git add"
    ]
  }
}
